#!/usr/bin/env python

import datetime
import os
import os.path
import shutil
import sys

dir = os.path.dirname(os.path.abspath(__file__))
backupfiledir = os.path.join(dir, 'files')

if len(sys.argv) > 2:
        level = sys.argv[1]
else:
        level = "Full"

if level == "Full":
        level = "normal"
else:
        #level = "differencial"
        level = "differential"

#print level

if os.path.exists(backupfiledir):
        shutil.rmtree(backupfiledir)
os.mkdir(backupfiledir)

today = datetime.date.today()
datestring = "-".join( map(lambda x: "%02d" % x, [today.year, today.month, today.day]) )
filename = os.path.join(backupfiledir, "Exchange " + level + " " + datestring + ".bkf")
ntbackupcall = "ntbackup backup @" + os.path.join(dir, "Exchange.bks") + " /m " + level + " /v:yes /F \"" + filename + "\""

#print ntbackupcall
os.system(ntbackupcall)

sys.exit(0)
